@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');


* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
.container {
    background-color: #fafcfc;
    display: grid;
    min-height: 100vh;
    max-width: 100%;
    justify-items: center;
    align-items: center;
}
header {
    display: flex;
    font-family: 'Josefin Sans', sans-serif;
    font-size: 4vw;
    color: #4B5D67;
    /* justify-content: center;
    align-items: center; */
    grid-area: header;
}
h5 {
    font-family: 'Josefin Sans', sans-serif;
    font-size: 1.5rem;
    color: #4B5D67;
}
h6 {
    font-family: 'Montserrat', sans-serif;
    font-size: 1rem;
    color: #4B5D67;
}

/* Show */

.show {
    grid-template-areas: "header"
                         "konten"
                         "tambahMatkul";
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 3fr 1fr;
}
.konten-show {
    display: flex;
    flex-wrap: wrap;
    grid-area: konten;
    justify-content: center;
}
.konten-show > div {
    margin: 5px;
}
.card {
    border-radius:20px;
    border: 5px solid #4B5D67;
}
.card-body {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.btn {
    background-color: #4B5D67;
    border-radius: 10px;
    border: 0px;
    font-family: 'Montserrat', sans-serif;
}
.addMatkul {
    grid-area: tambahMatkul;
}
/* end of show */

/* detail */

.detail {
    grid-template-areas: "header"
                         "konten"
                         "deleteMatkul";
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 3fr 1fr;
}
.konten-detail {
    grid-area: konten;
}
.tombol-detail {
    grid-area: deleteMatkul;
}

h4 {
    font-family: 'Montserrat', sans-serif;
    font-size: 2vmax;
    color: #4B5D67;
}

/* end of detail */

/* create */

.create {
    grid-template-areas: "header"
                         "konten";
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 3fr;
}
.konten-create {
    grid-area: konten;
}


/* end of create */

@media (max-width:768px) {
    .show {
        grid-template-areas: "header"
                             "tambahMatkul"
                             "konten";
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr 5fr;
    }
    header {
        font-size: 7vw;
    }
    .detail {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 5fr 1fr;
    }
    h4 {
        font-size: 3vmax;
    }
}